Debian Bug report logs - #601997
[i915] Irregular sync flashes on gm45

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Russel Winder <russel@russel.org.uk>

Date: Sun, 31 Oct 2010 16:45:30 UTC

Severity: important

Tags: fixed-upstream, upstream

Merged with 580601, 582877

Found in versions linux-2.6/2.6.36-1~experimental.1, 2.6.32-12, 2.6.34-1~experimental.1

Fixed in version linux-2.6/2.6.37-1~experimental.1

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.freedesktop.org/show_bug.cgi?id=27589

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Base Maintainers <virtual-pkg-base-maintainers@lists.alioth.debian.org>:
Bug#601997; Package base. (Sun, 31 Oct 2010 16:45:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russel Winder <russel@russel.org.uk>:
New Bug report received and forwarded. Copy sent to Base Maintainers <virtual-pkg-base-maintainers@lists.alioth.debian.org>. (Sun, 31 Oct 2010 16:45:33 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russel Winder <russel@russel.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: base: Irregular sync flashes on 8086:2a42
Date: Sun, 31 Oct 2010 16:33:49 +0000
Package: base
Severity: normal


A report was filed on Launchpad against Ubuntu Lucid reporting that the kernel upgrade from Karmic to Lucid
introduced irregular sync flashes on the screen.  cf.
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/538648.

The problem reported there is also seeming to affect Debian Squeeze.

The upgrade to Ubuntu Maverick has caused the problem to go away when using that OS.  Sadly though the
problem still afflicts Debian Squeeze.  Is there any way the information from the Ubuntu-oriented
investigation can be applied to Debian Squeeze?

The flashes are really, really irritating.

Thanks.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/dash




Bug reassigned from package 'base' to 'xserver-xorg-video-intel'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 01 Nov 2010 09:33:02 GMT) Full text and rfc822 format available.

Bug reassigned from package 'xserver-xorg-video-intel' to 'linux-2.6'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 01 Nov 2010 12:09:09 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://bugs.freedesktop.org/show_bug.cgi?id=27589'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 01 Nov 2010 12:09:10 GMT) Full text and rfc822 format available.

Changed Bug title to '[i915] Irregular sync flashes on gm45' from 'base: Irregular sync flashes on 8086:2a42' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 01 Nov 2010 12:09:11 GMT) Full text and rfc822 format available.

Added tag(s) upstream, fixed-upstream, and moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 01 Nov 2010 12:09:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#601997; Package linux-2.6. (Mon, 01 Nov 2010 12:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Nov 2010 12:12:03 GMT) Full text and rfc822 format available.

Message #20 received at 601997@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Russel Winder <russel@russel.org.uk>, 601997@bugs.debian.org
Subject: Re: Bug#601997: base: Irregular sync flashes on 8086:2a42
Date: Mon, 1 Nov 2010 13:10:17 +0100
[Message part 1 (text/plain, inline)]
On Sun, Oct 31, 2010 at 16:33:49 +0000, Russel Winder wrote:

> Package: base
> Severity: normal
> 
> 
> A report was filed on Launchpad against Ubuntu Lucid reporting that the kernel upgrade from Karmic to Lucid
> introduced irregular sync flashes on the screen.  cf.
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/538648.
> 
> The problem reported there is also seeming to affect Debian Squeeze.
> 
> The upgrade to Ubuntu Maverick has caused the problem to go away when using that OS.  Sadly though the
> problem still afflicts Debian Squeeze.  Is there any way the information from the Ubuntu-oriented
> investigation can be applied to Debian Squeeze?
> 
The ubuntu bug doesn't seem to point to a fix (or it's to much of a mess
for me to find it).  Somebody would have to bisect between 2.6.33 and a
fixed kernel to find out what fixed this, I guess.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#601997; Package linux-2.6. (Mon, 01 Nov 2010 12:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to russel@russel.org.uk:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Nov 2010 12:48:06 GMT) Full text and rfc822 format available.

Message #25 received at 601997@bugs.debian.org (full text, mbox):

From: Russel Winder <russel@russel.org.uk>
To: Julien Cristau <jcristau@debian.org>
Cc: 601997@bugs.debian.org
Subject: Re: Bug#601997: base: Irregular sync flashes on 8086:2a42
Date: Mon, 01 Nov 2010 12:40:08 +0000
[Message part 1 (text/plain, inline)]
Julien,

On Mon, 2010-11-01 at 13:10 +0100, Julien Cristau wrote:
> On Sun, Oct 31, 2010 at 16:33:49 +0000, Russel Winder wrote:
> 
> > Package: base
> > Severity: normal
> > 
> > 
> > A report was filed on Launchpad against Ubuntu Lucid reporting that the kernel upgrade from Karmic to Lucid
> > introduced irregular sync flashes on the screen.  cf.
> > https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/538648.
> > 
> > The problem reported there is also seeming to affect Debian Squeeze.
> > 
> > The upgrade to Ubuntu Maverick has caused the problem to go away when using that OS.  Sadly though the
> > problem still afflicts Debian Squeeze.  Is there any way the information from the Ubuntu-oriented
> > investigation can be applied to Debian Squeeze?
> > 
> The ubuntu bug doesn't seem to point to a fix (or it's to much of a mess
> for me to find it).  Somebody would have to bisect between 2.6.33 and a
> fixed kernel to find out what fixed this, I guess.

I have posted a comment asking someone to summarize the real fix to the
bug report in Debian BTS.  Let us hope it is answered quickly.

I had (naïvely) assumed that bugs such as this which clearly affect both
Debian and Ubuntu would have knowledge exchange from which group found
the fix to the other.  It seems though that there is less Ubuntu ->
Debian data flow than Debian -> Ubuntu :-( 

-- 
Russel.
=============================================================================
Dr Russel Winder      t: +44 20 7585 2200   voip: sip:russel.winder@ekiga.net
41 Buckmaster Road    m: +44 7770 465 077   xmpp: russel@russel.org.uk
London SW11 1EN, UK   w: www.russel.org.uk  skype: russel_winder
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#601997; Package linux-2.6. (Tue, 02 Nov 2010 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to russel@russel.org.uk:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 02 Nov 2010 08:33:03 GMT) Full text and rfc822 format available.

Message #30 received at 601997@bugs.debian.org (full text, mbox):

From: Russel Winder <russel@russel.org.uk>
To: Bug 538648 <538648@bugs.launchpad.net>
Cc: Julien Cristau <jcristau@debian.org>, 601997@bugs.debian.org
Subject: Re: [Bug 538648] Re: [Intel GM45] Irregular sync flashes on 8086:2a42 (Needs i915.powersave quirk)
Date: Tue, 02 Nov 2010 08:32:03 +0000
[Message part 1 (text/plain, inline)]
Alexis,

On Mon, 2010-11-01 at 21:55 +0000, Alexis de Lattre wrote:
> @Russel,
> 
> You will find an up-to-date summary of the situation at the very
> beginning of the bug report (your bug report ! :-), in the 3 first
> paragraphs of the bug description.

I think the problem is that when Julien looked at this bug report, it
wasn't clear which kernel version is the one that provides the fix so
that the Debian folk can investigate whether they can issue that kernel
for Squeeze.

> ** Description changed:
> 
>   [Status]
>   Fixed in maverick
>   Not fixed in lucid (bug still seen on 2010-09-22 with kernel 2.6.32-25)

Debian Squeeze is still running the 2.6.32-5-amd64 kernel, Maverick is
running 2.6.35-22.  Does anyone know which changeset to which kernel
series actually cures the problem?  Do we even know whether this is a
2.6.32, 2.6.33, 2.6.34 or 2.6.35 issue?

>   [Workaround]
>   As workaround add the option i915.powersave=0 to the kernel command line in the grub config (for GRUB 2: edit /etc/default/grub and add  i915.powersave=0 to GRUB_CMDLINE_LINUX, then run sudo update-grub; for GRUB 1: edit /boot/grub/menu.lst and add i915.powersave=0 to the end of the line beginning with # kopt=, then run sudo update-grub).
>   
>   [Alternative workaround for experts]
> - Compile your kernel with Andy Whitcroft's patch from http://people.canonical.com/~apw/lp538648-lucid/ (see comment #88).
> + Compile your kernel with Andy Whitcroft's patch from http://people.canonical.com/~apw/lp538648-lucid/ (see comment #92).

I am not sure this is an option for the Debian folk, they need to run a
kernel from the official series.

Thanks.
-- 
Russel.
=============================================================================
Dr Russel Winder      t: +44 20 7585 2200   voip: sip:russel.winder@ekiga.net
41 Buckmaster Road    m: +44 7770 465 077   xmpp: russel@russel.org.uk
London SW11 1EN, UK   w: www.russel.org.uk  skype: russel_winder
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 15 Feb 2011 03:03:04 GMT) Full text and rfc822 format available.

Forcibly Merged 580601 582877 601997. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 15 Feb 2011 03:03:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.36-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 13 Jun 2011 02:03:04 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions linux-2.6/2.6.37-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 13 Jun 2011 10:15:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Sep 2011 07:29:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:14:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.